<?PHP
ini_set('error_reporting', 1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];   //   **************** mcc  12-11-14
$id_user = $_SESSION['ss_user'];
include("../conex.php");
//************************************************lee y saca valor en nodo XML ****************** 
function obtValorXML($xml, $var, $x) 
  {
	$dom = new DOMDocument();
	$dom->load($xml);
	$data = array();
	$elements = $dom->getElementsByTagName($var);
	foreach($elements as $node){
		foreach($node->childNodes as $child) {
			$data[] = $child->nodeValue;
		}
	}
	if(count($data) > 0) {
		return($data[$x]);
	} else {
		return "";
	}
   }
 function HandleXmlError($errno, $errstr, $errfile, $errline)
{
    if ($errno==E_WARNING && (substr_count($errstr,"DOMDocument::loadXML()")>0))
    {
        throw new DOMException($errstr);
    }
    else 
        return false;
}

function XmlLoader($strXml)
{
    set_error_handler('HandleXmlError');
    $dom = new DOMDocument();
    $dom->loadXml($strXml);    
    restore_error_handler();
    return $dom;
 }
 
   /****************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		}
   
   
  // Subir Folios de SII  a server  
 
   $name_reserva = $_FILES['reserva']['name'];
//var_dump ($_FILES);
    
	$dir_destino = '/var/www/html/'.$sitio_empresa.'/LibFE/FOLIOS/';
	
   $dir = '/var/www/html/'.$sitio_empresa.'/mant_tdcto/DOC_RECIBE/';
if ($name_reserva!=NULL)
{
	$type_reserva = $_FILES['reserva']['type'];
	// var_dump ( $type_reserva);
	$tmp_name_reserva = $_FILES["reserva"]["tmp_name"];
	 //var_dump ( $tmp_name_reserva);
	$size_reserva = $_FILES['reserva']['size'];
	 //var_dump ( $size_reserva);
	//$name_reserva = uniqid('bc') . '_' . $name_reserva; 
	move_uploaded_file($tmp_name_reserva, $dir.$name_reserva);
//	$campo_reserva = ", reserva";	
	//$name_reserva = ", '".$name_reserva."'"; 
}
else
{
	 var_dump ("Error en archivo");
}
  
  //***********************************************
  	
		
		$archivo="./DOC_RECIBE/".$name_reserva;

	$tipo_dcto=obtValorXML($archivo,'TD','0');
    $inicio=obtValorXML($archivo,'D','0');
	 $tope=obtValorXML($archivo,'H','0');
	$rut_emisor = obtValorXML($archivo,'RE','0');
	$fecha = obtValorXML($archivo,'FA','0');

				if($tipo_dcto==33)$dcto='Folios_factura.xml';
				if($tipo_dcto==34)$dcto='Folios_factura_exenta.xml';
			    if($tipo_dcto==39)$dcto='Folios_boleta.xml';
				if($tipo_dcto==46)$dcto='Folios_factura_compra.xml';
				if($tipo_dcto==52)$dcto='Folios_guia.xml';
				if($tipo_dcto==61)$dcto='Folios_nc.xml';
				if($tipo_dcto==56)$dcto='Folios_nd.xml';
								
			
			?>  
            
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<form action="subir_folio_sii.php" method="post" enctype="multipart/form-data" name="form1" target="_self">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Subir Folios de SII</title>

<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">
<div align="center" class="titulos2">ENTRADA FOLIOS SII </div>
  <div align="center">
    <table width="542" border="0">
      <tr bgcolor="#CCCCCC">
        <th width="144"><div align="center">Fecha</div></th>
        <th width="144"><div align="center">Tipo_Dcto</div></th>
        <th width="144"><div align="center">Rut.Empresa</div></th>
       
        <th width="144"><div align="center">Desde</div></th>
        <th width="144"><div align="center">Tope</div></th>
      </tr>
     
      <tr>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="fecha" id="fecha" type="text" value="<?=$fecha;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
        <input name="tipo_dcto" id="tipo_dcto" type="text" value="<?=$tipo_dcto;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
   <input name="rut_emisor" id="rut_emisor" type="text" value="<?=$rut_emisor;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="inicio" id="inicio" type="text" value="<?=$inicio;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="tope" id="tope" type="text" value="<?=$tope;?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
             </tr>
      </table>
       <div align="center">
    <input name="Submit" type="button" class="botones" value="APLICAR" onClick="enviar()">
      <input name="Submit" type="button" class="botones" value="SALIR" onClick="cerrar()">
  </div>
   <input name="dcto" type="text"  id="dcto"  value="<?=$dcto?>" style="visibility:hidden">
  <input name="dir_destino" type="text"  id="dir_destino"  value="<?=$dir_destino?>" style="visibility:hidden">
  <input name="dir" type="text"  id="dir"  value="<?=$dir?>" style="visibility:hidden">
  <input name="name_reserva" type="text"  id="name_reserva"  value="<?=$name_reserva?>" style="visibility:hidden">
  
  
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
  {window.top.open('','_parent','');
   window.top.close();
  }
function enviar()
    {
	document.form1.submit();
    } 
</script>